# polar

polar form

## Calling Sequence

    [Ro, Theta] = polar(A)

## Arguments

A

  a real or complex square matrix.

Ro

  a real matrix.

Theta

  a real or complex matrix.

## Description

`[Ro, Theta]=polar(A)` returns the polar form of `A` i.e.`A=Ro*expm(%i*Theta)` when `Ro` symmetric >=0 and `Theta` hermitian >=0.

## Examples

    A=rand(5,5);
    [Ro,Theta]=polar(A);
    norm(A-Ro*expm(%i*Theta),1)

    B = complex(5,7)
    [M, P] = polar(B)
    M * exp(%i * P)

## See Also

- expm
- svd